<?xml version="1.0" encoding="utf-8"?>
<s:TitleWindow xmlns:fx="http://ns.adobe.com/mxml/2009" 
			   xmlns:s="library://ns.adobe.com/flex/spark" 
			   xmlns:mx="library://ns.adobe.com/flex/mx" title="Relatorio Cartao" xmlns:autoComplete="br.com.desenv.framework.component.visual.autoComplete.*" xmlns:visual="br.com.desenv.framework.component.visual.*" close="titlewindow1_closeHandler(event)"
			   creationComplete="titlewindow1_creationCompleteHandler(event)"
			   >
	<fx:Style source="../../../framework/util/estilo.css"/>

	<fx:Declarations>
		<!-- Place non-visual elements (e.g., services, value objects) here -->
	</fx:Declarations>
	<fx:Script>
		<![CDATA[
			import flash.net.URLRequest;
			import flash.net.URLVariables;
			
			
			
			import mx.core.FlexGlobals;
			import mx.events.CloseEvent;
			import mx.events.FlexEvent;
			import mx.managers.PopUpManager;
			
			
			import br.com.desenv.framework.util.IgnReportUtil;
			import br.com.desenv.nepalign.vo.EmpresaFisica;
			import br.com.desenv.nepalign.vo.FormaPagamento;
			import br.net.upcode.framework.amf.AMFConnector;
			import br.net.upcode.framework.popup.UPCPopUpManager;
			import br.com.desenv.framework.util.DsvObjectUtil;
			import mx.core.FlexGlobals;;
			import mx.collections.ArrayCollection;
			import mx.rpc.events.FaultEvent;
			import mx.rpc.events.ResultEvent;
			import mx.rpc.remoting.mxml.RemoteObject;
			import mx.controls.Alert;
			
			[Bindable]
			private var listaFormaEntrada: ArrayCollection = new ArrayCollection();
			
			private function listarFormaPagamentoResultHandler( event: ResultEvent ): void 
			{
				this.listaFormaEntrada = event.result as ArrayCollection;
				this.listaFormaEntrada.addItemAt(null, 0);
				
				
			}
			protected function titlewindow1_closeHandler(event:CloseEvent):void
			{
				UPCPopUpManager.instance.removePopUp(this);
			}
			
			protected function btnImprimir_clickHandler(event:MouseEvent):void
			{
				if(validarForm == "OK")
				{
					var classe:String  = "br.com.desenv.nepalign.relatorios.RelatorioPagamentoCartao"
					var acaoMethod:String = "relatorioCartao";
					var urlReq:URLRequest = new URLRequest(FlexGlobals.topLevelApplication.parametrosSistema.getParametro("URL_SERVLET_RELATORIO")); 
					var param:URLVariables = new URLVariables(); 			  
					param.classe = classe;
					param.acao = acaoMethod;
					if(this.ignComboBoxAutoFormaPagamento.selectedItem!=null)
					{
						var cob:FormaPagamento = this.ignComboBoxAutoFormaPagamento.selectedItem as FormaPagamento;
						param.idFormaPagamento = 	cob.id
					}
					if(this.IgnEmpresa.recuperarEmpresaFisicaSelecionada!=null)
					{
						var usu:EmpresaFisica = IgnEmpresa.recuperarEmpresaFisicaSelecionada;
						param.idEmpresaFisica = usu.id;
					}
					param.dataFinal = dsvPeriodo.dataInicial;
					param.dataInicial = dsvPeriodo.dataFinal;
					/*urlReq.data = param;
					 //usando método POST  
					navigateToURL(urlReq, "_blank"); //chama Servlet em uma nova página 
					*/
					new IgnReportUtil().gerarRelatorioSeguranca(null, "_blank", param);
				}
				else
					Alert.show(validarForm);
			}
			
			protected function get validarForm():String
			{
				
				if(dsvPeriodo.dataInicial.length < 1)
					return "Data inicial invalida";
				if(dsvPeriodo.dataFinal.length < 1)
					return "Data final inválida";
				return "OK";
			}
			
			protected function titlewindow1_creationCompleteHandler(event:FlexEvent):void
			{
				IgnEmpresa.setFocus();
				dsvPeriodo.addEventListener("DataInformada", setarBotao);
				var remoteObjectFormaPagamento: RemoteObject  = AMFConnector.instance.prepararObjetoRemoto("formaPagamentoService", listarFormaPagamentoResultHandler);	
				remoteObjectFormaPagamento.getOperation("listar").send();
			}
			public function setarBotao(event:Event):void{
				ignComboBoxAutoFormaPagamento.setFocus();
			}
			
			protected function IgnEmpresa_keyDownHandler(event:KeyboardEvent):void
			{
				if(event.keyCode == Keyboard.ENTER)
					dsvPeriodo.ignTextInputDataInicial.setFocus();
				
			}
			
			protected function ignComboBoxAutoFormaPagamento_keyDownHandler(event:KeyboardEvent):void
			{
				if(event.keyCode == Keyboard.ENTER)
					btnImprimir.setFocus();
				
			}
			
			protected function btnImprimir_keyDownHandler(event:KeyboardEvent):void
			{
				if(event.keyCode == Keyboard.ENTER)
					this.btnImprimir_clickHandler(new MouseEvent(""));
				
			}
			
		]]>
	</fx:Script>
	<mx:VBox x="5" y="5">
		
	
	
	<mx:Grid x="5" y="5">
		<mx:GridRow>
			<mx:GridItem  id="gridCliente" styleName="gridValor" visible="true">
				<s:VGroup>
					<s:Label id="labelCliente" text="Empresa:" visible="true"/>
					<visual:DsvPerfilEmpresa id="IgnEmpresa" keyDown="IgnEmpresa_keyDownHandler(event)" width="200"/>
					<s:Spacer height="5"/>
				</s:VGroup>
			</mx:GridItem>

		</mx:GridRow>
	</mx:Grid>
	<mx:Grid x="5" y="5">
		<mx:GridRow>
			<mx:GridItem>
				<visual:DsvPeriodo displayTitle="Período Lançamento" id="dsvPeriodo"/>
			</mx:GridItem>
		</mx:GridRow>
	</mx:Grid>
	<mx:Grid>
		<mx:GridRow>
			<mx:GridItem styleName="gridLabelValor">
				<s:VGroup>
					<s:Spacer height="5"/>
					<s:Label text="Forma Pagamento:"/>
					<visual:IgnComboBoxAutoComplete id="ignComboBoxAutoFormaPagamento" dataProvider="{listaFormaEntrada}" labelField="descricao" obrigatorio="false" enabled="true" width="200" keyDown="ignComboBoxAutoFormaPagamento_keyDownHandler(event)" />
					<s:Spacer height="5"/>
				</s:VGroup>
			</mx:GridItem> 
		</mx:GridRow>
	</mx:Grid>	
	<mx:Grid>
		<mx:GridRow>
			<mx:GridItem width="215" horizontalAlign="right">
				<mx:VBox>
					<s:Button id="btnImprimir" label="Imprimir" click="btnImprimir_clickHandler(event)" keyDown="btnImprimir_keyDownHandler(event)"/>
				</mx:VBox>
				
			</mx:GridItem>
		</mx:GridRow>
	</mx:Grid>
		<s:Spacer  height="5"/>	
	</mx:VBox>
</s:TitleWindow>
